%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name gstreamer-plugins-good
%global mingw_build_win32 1
%global mingw_build_win64 1

%define         gstreamer       gstreamer
%define         majorminor      0.10
%define         gstreamer_version %{majorminor}.33

Name:           mingw-gstreamer-plugins-good
Version:        0.10.29
Release:        1%{?dist}
Summary:        Cross compiled GStreamer plug-ins good

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  pkgconfig

BuildRequires:  mingw32-%{gstreamer} >= %{gstreamer_version}
BuildRequires:  mingw64-%{gstreamer} >= %{gstreamer_version}
BuildRequires:  mingw32-gstreamer-plugins-base  >= %{gstreamer_version}
BuildRequires:  mingw64-gstreamer-plugins-base  >= %{gstreamer_version}
BuildRequires:  mingw32-cairo
BuildRequires:  mingw64-cairo
BuildRequires:  mingw32-gtk2
BuildRequires:  mingw64-gtk2
BuildRequires:  mingw32-libjpeg
BuildRequires:  mingw64-libjpeg
BuildRequires:  mingw32-libpng >= 1.2.0
BuildRequires:  mingw64-libpng >= 1.2.0
BuildRequires:  mingw32-libsoup
BuildRequires:  mingw64-libsoup
BuildRequires:  mingw32-orc
BuildRequires:  mingw64-orc

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.


# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}
Requires:       mingw32-gstreamer >= %{gstreamer_version}
Requires:       mingw32-gstreamer-plugins-base

%description -n mingw32-%{mingw_pkg_name}
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}
Requires:       mingw64-gstreamer >= %{gstreamer_version}
Requires:       mingw64-gstreamer-plugins-base

%description -n mingw64-%{mingw_pkg_name}
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.


%prep
%setup -q -n gst-plugins-good-%{version}

%build
%mingw_configure "--with-package-name='Fedora Mingw gstreamer-plugins-good package'" "--with-package-origin='http://download.fedora.redhat.com/fedora'" "--enable-experimental" "--disable-gtk-doc" "--enable-orc" "--disable-monoscope" "--disable-aalib" "--disable-esd" "--disable-libcaca" "--with-default-visualizer=autoaudiosink" "--disable-jpeg" "--disable-shout2" "--disable-static"

%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gstreamer-%{majorminor}/*.a

%find_lang %{mingw_pkg_name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT


# Mingw32
%files -n mingw32-%{mingw_pkg_name} -f %{mingw_pkg_name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# Equaliser presets
%{mingw32_datadir}/gstreamer-%{majorminor}/presets/

# non-core plugins without external dependencies
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstalaw.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstalpha.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstalphacolor.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstannodex.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstapetag.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstaudiofx.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstaudioparsers.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstauparse.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstautodetect.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstavi.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstcutter.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstdebug.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgsteffectv.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstequalizer.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstflv.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstflxdec.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstgoom.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgsticydemux.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstid3demux.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstinterleave.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstlevel.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstmatroska.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstmulaw.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstmultifile.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstmultipart.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstisomp4.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstreplaygain.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstrtp.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstrtsp.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstshapewipe.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstsmpte.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstspectrum.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstudp.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvideobox.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvideocrop.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvideofilter.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvideomixer.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstwavenc.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstwavparse.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgsty4menc.dll

# gstreamer-plugins with external dependencies but in the main package
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstcairo.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstdirectsoundsink.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstpng.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.dll

# Mingw64
%files -n mingw64-%{mingw_pkg_name} -f %{mingw_pkg_name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# Equaliser presets
%{mingw64_datadir}/gstreamer-%{majorminor}/presets/

# non-core plugins without external dependencies
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstalaw.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstalpha.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstalphacolor.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstannodex.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstapetag.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstaudiofx.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstaudioparsers.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstauparse.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstautodetect.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstavi.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstcutter.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstdebug.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgsteffectv.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstequalizer.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstflv.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstflxdec.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstgoom.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgsticydemux.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstid3demux.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstinterleave.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstisomp4.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstlevel.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstmatroska.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstmulaw.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstmultifile.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstmultipart.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstreplaygain.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstrtp.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstrtsp.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstshapewipe.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstsmpte.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstspectrum.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstudp.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvideobox.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvideocrop.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvideofilter.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvideomixer.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstwavenc.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstwavparse.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgsty4menc.dll

# gstreamer-plugins with external dependencies but in the main package
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstcairo.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstdirectsoundsink.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstpng.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.dll


%changelog
* Sat May 14 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.29-1
- Updated to 0.10.29
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.26-1
- Build with mingw32
